.woocommerce ul.products li.product .bottom-product-loop{
    display:flex;
    justify-content: space-between;
    align-content: baseline;
    flex-wrap: wrap;
    margin-top: 10px;
}

.woocommerce ul.products li.product .prod-block-title{
    position: absolute;
    top: 0;
    left: 0;
    padding: 10px 15px 5px 15px;
    background-color: #ffed00;
    color: black;
    font-size: 20px;
    max-width:90%;
}

.woocommerce ul.products li.product .price{
    background-color: var( --e-global-color-primary );
    font-size: 32px;
    margin-bottom: 0;
    padding: 5px 10px;
    vertical-align: middle;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 600;
    user-select: none;
    width:30%;
}


.woocommerce ul.products li.product .buy-now-btn{
    background-color: black;
    color: white;
    margin-bottom: 0;
    text-align:left;
    padding: 10px 15px;
    vertical-align: middle;
    display:flex;
    justify-content: center;
    align-items: center;
    cursor:pointer;
    text-transform: uppercase;
    font-weight: 600;
    user-select: none;
    width:70%;
}

body.pt-pt .woocommerce ul.products li.product .buy-now-btn{
    display:flex;
}

.woocommerce ul.products li.product .buy-now-btn span{
    font-size: 30px;
    line-height: 15px;
    pointer-events: none;
    display:block;
}

.woocommerce ul.products li.product .buy-now-btn span{
    font-size: 30px;
    line-height: 15px;
    pointer-events: none;
}

.woocommerce ul.products li.product .attachment-woocommerce_thumbnail{
    width:100%;
    padding:10px;
    background-color:white;
}

.woocommerce ul.products li.product .bottom-product-loop .available-types{

    width:100%;
    display: grid;
    grid-template-columns: repeat(6,1fr);
    grid-row-gap: 15px;
    grid-column-gap: 15px;
    margin-bottom:15px;
}
.woocommerce ul.products li.product .bottom-product-loop .available-types .gender-svg,
#prod-popup .info-svg{
    max-width:70px;
    max-height: 45px;
    width:100%;
    height: auto;
    cursor:pointer;
}
.woocommerce ul.products li.product .bottom-product-loop .available-types .gender-svg{
    pointer-events: none;
}
.woocommerce ul.products li.product .bottom-product-loop .available-types div{
    cursor:pointer;
}
#prod-popup .info-svg{
    max-width: 20px;
    margin-bottom: 5px;
    margin-right: 10px;
}

#prod-popup .info-svg .fil0{
    fill: white;
}
#prod-popup .info-svg .fil1{
    fill: black;
}
#prod-popup .info-svg-link{
    font-size: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#prod-popup .info-svg-link:hover .info-svg .fil0{
    fill: var( --e-global-color-primary );
}

.woocommerce ul.products li.product .bottom-product-loop .available-types .gender-svg .fil0,
.prod-popup-content .available-types div svg .fil0,
.prod-popup-content .available-sizes div svg .fil0{
    fill: var( --e-global-color-2e5aa42 );
}

.prod-popup-content .available-sizes div svg .fil1{
    fill: black;
}

.woocommerce ul.products li.product .bottom-product-loop .available-types div:hover .gender-svg .fil0,
.woocommerce ul.products li.product .bottom-product-loop .available-types div.selected .gender-svg .fil0,
.prod-popup-content .available-types div:hover svg .fil0,
.prod-popup-content .available-types div.selected svg .fil0,
.prod-popup-content .available-sizes div:hover svg .fil0,
.prod-popup-content .available-sizes div.selected svg .fil0{
    fill: var( --e-global-color-primary );
}

#prod-popup{
    width:100%;
    max-width:750px;
    position:fixed;
    top:50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background:white;
    z-index:99999;
    padding: 50px;
}

.prod-popup-title{
    font-size: 30px;
    font-weight: 600;
    text-align: center;
}

#prod-popup .close-popup-modal {
    position: absolute;
    right: 15px;
    top: 15px;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    cursor:pointer;
}
#prod-popup .close-popup-modal svg {
    width:30px;
    height:30px;
}

#prod-popup .close-popup-modal svg .fil1 {
    fill:black;
}

#prod-popup .close-popup-modal svg .str0 {
    fill:transparent;
}

#prod-popup .close-popup-modal:hover svg .str0 {
    fill:var( --e-global-color-primary );
}

#prod-popup .close-popup-modal:hover {
    background-color: var( --e-global-color-primary );
}


#prod-popup .prod-popup-content .available-types img,
#prod-popup .prod-popup-content .available-sizes img{
    opacity: 0;
    width:50px;
}



#prod-popup .prod-popup-content .available-types div[data-gender="0"] svg{
    max-width:100px;
    max-height:100px;
    pointer-events:none;
}

#prod-popup .prod-popup-content .available-types div[data-gender="0"]{
    max-width:100px;
    max-height:150px;
    pointer-events:none;
}


#prod-popup .gender-title{
    text-align: center;
    font-size: 30px;
    text-transform: uppercase;
    pointer-events:none;
    user-select:none;
}

#prod-popup .prod-popup-content .available-types,
#prod-popup .prod-popup-content .available-sizes,
#prod-popup .prod-popup-content .available-colours{
    display: flex;
    align-items: center;
    justify-content: center;
}

#prod-popup .prod-popup-content .available-types div,
#prod-popup .prod-popup-content .available-sizes div,
#prod-popup .prod-popup-content .available-colours div{
    cursor:pointer;
}

#prod-popup .prod-popup-content .available-colours div.colour-container{
    pointer-events:none;
}

#prod-popup .prod-popup-content .available-colours div.colour-wrapper{
    padding: 2px;
    border: 2px solid #d7d7d7;
    border-radius:50px;
    margin: 0 5px;
}

#prod-popup .prod-popup-content .available-colours div.colour-wrapper.selected{
    border-color: black;
}

#prod-popup .prod-popup-content .available-colours .colour-container{
    width:35px;
    height:35px;
    border-radius:50px;

}

#prod-popup .prod-popup-content .available-types svg{
    max-width: 185px;
    max-height:185px;
    width: 100%;
    height: auto;
}

#prod-popup .prod-popup-content .svg{
    user-select:none;
    pointer-events:none;
}

#prod-popup .prod-popup-types .prod-popup-content{
    display:flex;
    justify-content: center;
}


#prod-popup .prod-popup-content .available-sizes svg{
    max-width: 65px;
    max-height: 65px;
    width: 100%;
    height:auto;
    user-select:none;
    pointer-events:none;
    padding-left:10px;
    padding-right:10px;
}


#prod-popup div.big-popup-btn {

    font-weight: 900;
    text-transform: uppercase;
    font-size: 25px;
    border-radius: 10px;
    border: 3px solid black;
    text-align: center;
    padding: 5px 15px 0px 15px;
    user-select:none;
    cursor:pointer;
    color:var(--e-global-color-primary);
    background-color: #292a2d;
    margin-right:10px;
    margin-left:10px;
}

#prod-popup div.big-popup-btn:hover {
    background-color: black;
}

#prod-popup #popup-qty{
    width: 100px;
    border: 2px solid black;
    padding: 3px;
    color: black;
    text-align: right;
    border-radius: 10px;
    font-size: 25px;
    font-weight: 600;
    padding-right: 10px;
    padding-bottom: 0;
    place-self: normal;
    margin-right: auto;
}


#prod-popup #popup-qty::-webkit-outer-spin-button,
#prod-popup #popup-qty::-webkit-inner-spin-button {
    /* display: none; <- Crashes Chrome on hover */
    -webkit-appearance: none;
    margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
}

#prod-popup #popup-qty {
    -moz-appearance:textfield; /* Firefox */
}

#prod-popup .prod-popup-finish .prod-popup-content{
    display:flex;
    align-items: baseline;
    justify-content: flex-end;
    max-width:650px;
    font-size: 30px;
    margin-left: auto;
    margin-right:auto;
}







@media screen and (max-width:767px){
    .prod-popup-title, #prod-popup .gender-title{
        font-size: 15px;
    }

    #prod-popup{
        padding:25px;
    }

    #prod-popup .prod-popup-content .available-sizes svg{
        width:55px;
    }

    #prod-popup div.big-popup-btn{
        font-size: 23px;
        border-width: 2px;

    }

    #prod-popup .info-svg-link{
        font-size:15px;
    }

    /*#prod-popup #popup-qty{*/
        /*width: 55px;*/
        /*font-size: 16px;*/
    /*}*/

    /*#prod-popup .prod-popup-finish .prod-popup-content{*/
        /*display:flex;*/
        /*align-items: baseline;*/
        /*justify-content: flex-end;*/
        /*max-width:500px;*/
        /*font-size: 20px;*/
        /*margin-left: auto;*/
        /*margin-right:auto;*/
    /*}*/


    #prod-popup .prod-popup-finish .prod-popup-content{
        flex-wrap: wrap;
        justify-content: space-between;
    }

    #prod-popup #popup-qty{
        width:100%;
        text-align:center;
        margin-bottom: 30px;
    }

    #prod-popup div.big-popup-btn, #prod-popup .file-upload__button{
        margin-left: 0;
        margin-right: 0;
    }

    #prod-popup .close-popup-modal svg{
        width:20px;
        height:20px;
    }


    .elementor-element.elementor-products-grid ul.products {
        grid-column-gap: 10px!important;
        grid-row-gap: 10px!important;
    }

    .elementor-element.elementor-products-grid.elementor-widget-wc-categories ul.products {
        grid-template-columns: repeat(1,auto)!important;
    }

    .woocommerce ul.products li.product .prod-block-title {
        position: relative;
        padding: 5px 10px 0px 10px;
        color: black;
        font-size: 18px;
        max-width: 100%;
        text-align:center;
    }

    .woocommerce ul.products li.product .buy-now-btn span{
        font-size: 20px;
    }

    .woocommerce ul.products li.product .buy-now-btn{
        width:60%;
    }

    .woocommerce ul.products li.product .price{
        width:40%;
        font-size:20px;
    }

    .woocommerce ul.products li.product .bottom-product-loop .available-types {
        grid-template-columns: repeat(6,1fr);
        grid-row-gap: 10px;
        grid-column-gap: 10px;
        margin-bottom: 10px;
    }

    .woocommerce ul.products li.product .bottom-product-loop .available-types div {
        cursor: pointer;
        display: flex;
        align-content: center;
    }

    .woocommerce ul.products li.product .bottom-product-loop .available-types svg {
        max-width:35px!important;
        max-height:35px!important;
    }

    #prod-popup .prod-popup-content .available-colours .colour-container{
        width:17px;
        height:17px;
        border-radius:50px;

    }

}










/*  general stuff  */

.page-overlay{
    width:100%;
    height:100%;
    position:fixed;
    z-index:99;
    background-color: rgba(0,0,0,0.50);
    content:'';
    cursor: pointer;
}

.no-scroll{
    overflow: hidden!important;
}

.ghost-hidden{
    display:none!important;
}

/* cat grid */
/* Category Tiles */
.cat_images_tile{
    display:grid;
    grid-template-columns: repeat(2,1fr);
    grid-row-gap:0;
    grid-column-gap:15px;
}

.cat_images_tile img{
    border: 2px solid black;
    padding: 15px;
}

